使用远程桌面mstsc的时候出现“要求的函数不受支持”错误

情况如上图。

首先,先确保远程桌面设置项,关闭“仅允许运行使用网络级别身份验证的远程桌面的计算机连接(建议)”,如下图:

确保关闭以上功能后,下面来讲一下本问题的解决方法(以下的方法均需要在受控端实际环境中操作,或者使用控制台或注册表的远程管理功能):

第一种方法,使用组策略:

打开本地组策略编辑器(gpedit.msc),进入如下位置:计算机配置>管理模板>系统>凭据分配,找到并双击“加密Oracle修正”(或“加密数据库修正”),点击“已启用”,并在下面的“保护级别”下拉列表框中选择“易受攻击”,最后点击“确定”保存。调整完成后,在命令提示符中执行“gpupdate /force”应用新的策略。如下图:

第二种方法,修改注册表:

打开注册表编辑器,定位到以下位置:

下载并双击以下文件,导入到注册表即可(但不能确保一定有效,最好还是修改组策略):

链接:https://pan.baidu.com/s/1DxtkL92tJ_VcRGnoHs-5bw ,提取码:rmhf

为您推荐